Subject: Re: bug#46464: 27.1; wide images are hidden partially at the right edge of window

From: Eli Zaretskii <[email-masked]>
Date: Sat, 13 Feb 2021 15:01:19 +0200

> From: [email-masked]
> Date: Sat, 13 Feb 2021 00:11:26 +0900
> 
> Evaluate the form below, 10 images are inserted in one logical line.
> The fourth image of the first visual line and the fourth image of the
> secodn visual line are hidden partially at the right edge of the window,
> where (frame-char-width) => 8 and (window-text-width) => 80.

This is the intended behavior: Emacs silently crops images that don't
fit on their screen line.

> Also #'previous-line works strangely.
> >From the end of the 3rd visual line(next to the 2nd image of the line),
> type C-p, then the point moves to the 3rd image of the 2nd line,
> type C-p, then the point moves to the 1st image of the 2nd line,
> type C-p, then the point moves to the 3rd image of the 1st line,
> type C-p, then the point moves to the 1st image of the 1st line,
> type C-p, then the point moves to the column of the previous line near
> the 3rd image.

This was a subtle bug, triggered by the fact that one image follows
another where vertical cursor motion is invoked.  Should be fixed now
on the master branch.

Thanks.